Subject: Re: [PATCH v9 1/9] bitops: Introduce the for_each_set_clump8 macro

From: William Breathitt Gray <[email-masked]>
Date: Tue, 12 Mar 2019 19:43:22 +0900

On Mon, Mar 11, 2019 at 06:01:13PM -0700, Andrew Morton wrote:
> On Fri, 8 Mar 2019 09:31:00 +0100 Linus Walleij <[email-masked]> wrote:
> 
> > On Sun, Mar 3, 2019 at 8:47 AM William Breathitt Gray
> > <[email-masked]> wrote:
> > 
> > > This macro iterates for each 8-bit group of bits (clump) with set bits,
> > > within a bitmap memory region. For each iteration, "start" is set to the
> > > bit offset of the found clump, while the respective clump value is
> > > stored to the location pointed by "clump". Additionally, the
> > > bitmap_get_value8 and bitmap_set_value8 functions are introduced to
> > > respectively get and set an 8-bit value in a bitmap memory region.
> > >
> > > Suggested-by: Andy Shevchenko <[email-masked]>
> > > Suggested-by: Rasmus Villemoes <[email-masked]>
> > > Cc: Arnd Bergmann <[email-masked]>
> > > Cc: Andrew Morton <[email-masked]>
> > > Reviewed-by: Andy Shevchenko <[email-masked]>
> > > Reviewed-by: Linus Walleij <[email-masked]>
> > > Signed-off-by: William Breathitt Gray <[email-masked]>
> > 
> > Andrew: would you be OK with this being merged in v5.1?
> 
> Yup.  We have quite a few users there.  I assume this will go via the
> gpio tree?
> 
> Feel free to add Acked-by: Andrew Morton <[email-masked]>,
> although it probably isn't worth churning the git tree to do so at this
> late stage - your cvall.

Linus,

I discovered a bug in this version of the patchset. I'll release a
version 10 once I've resolved the issue.

William Breathitt Gray

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel